perl

  1. C

    Perl modules installation

    Hello, I am on latest release tier version of cpanel. Can anyone explain please what is the difference in installing a module from rpm or through WHM module installer? WHM installs perl from CPAN. If I install perl module from rpm, the WHM doesn't show it in Installed Perl Module(s). Why is...
  2. grayloon

    Perl Errors

    Since yesterday, I'm seeing the following error when shelling into one of my cPanel servers. Anyone know what might cause this?
  3. H

    The perl module File::Scan::ClamAV could not be installed.

    Hi Lately, I've been getting this email everyday. Wondering if someone can give me a hint of how to fix it. More in the email below. This module is required by cPanel, and the system may not function correctly until it is installed, and functional. Below is the results of the auto-install...
  4. grayloon

    Perl Net SSLeay

    I have both Webmin (1.740) and cPanel (11.48.4) on a couple of servers. When I try to upgrade Webmin to version 1.750, I get the following error: error: Failed dependencies: perl(Net::SSLeay) is needed by webmin-1.750-1.noarch I know that perl module was installed. I've been using Webmin over...
  5. N

    "Check/Repair a Perl Script" option is missing

    Hello, I have two cpanel installed servers (CENTOS 5.11 x86_64 standard WHM 11.48.1 (build 3)) and neither of them have ""Check/Repair a Perl Script" option at WHM. Please check the screenshot below: I need to repair a perl script. Is there another way to access this feature? Regards
  6. R

    Trouble with Perl Modules

    I have a client who relies on Perl pretty heavily. He is having some issues recently. Below is an email he sent to me. Looking for help with figuring out what's wrong and how to fix: "I've been trying to investigate the problem today, but haven't solved it. There seem to be a number of things...
  7. M

    Problem on Perl

    Hello, On my server running WHM/cPanel, I have problem, is running anonym Perl script. And i can't find it. 2627 mysql 20 0 8018m 567m 5788 S 32.7 2.4 1201:40 mysqld 8766 username 20 0 260m 208m 2096 S 4.3 0.9 1:08.29 perl 8942 username 20 0 58152 13m 1044 S 2.6...
  8. F

    Perl Lost

    Houston, we have a problem. I have a CentOS 5.7 and I´m a newbie in linux :( When I enter with Putty, I get: Can't locate local/lib.pm in @INC (@INC contains: /usr/local/lib/perl5/5.8.8/x86_64-linux /usr/local/lib/perl5/5.8.8 /usr/local/lib/perl5/site_perl/5.8.8/x86_64-linux...
  9. G

    Using "threads" with Perl

    I want to use some Perl scripts that require "threads". From what I have seen, Perl needs to be compiled with threads in order to have that functionality (using -Dusethreads?). I tried to use perlbrew to install a different version but had some trouble. Is it possible to recompile system Perl...
  10. M

    Prevent specific perl module from automatically upgrading

    Hi, Is there a way through WHM and/or CPAN that I can prevent a specific perl module from being automatically upgraded? The module Filter::Util::Call was causing a problem with the Switch module. I found downgrading Filter::Util::Call from 1.51 to 1.49 took care of this issue, but it was...
  11. V

    perl error when upgrading from 11.44 to 11.46

    Hello, Was upgrading a server from 11.44.1.23 to 11.46.0.17 and received an email from the server: Subject: Cron <[email protected]> /usr/bin/test -x /usr/local/cpanel/bin/tail-check && /usr/local/cpanel/bin/tail-check Body of Email: /usr/local/cpanel/bin/tail-check: error while loading shared...
  12. M

    Perl Directory Does NOT Exist

    Today i got this error that says my license was expired and i need to run "/usr/local/cpanel/cpkeyclt" in order to update the license so i did and i got this error : /usr/local/cpanel/cpkeyclt: error while loading shared libraries: /usr/local/cpanel/perl/libperl.so: cannot open shared...
  13. S

    [Case 121097] Minor perl version change breaks perl (perl-5.8.8-41.el5 => perl-5.8.8-42.el5)

    This morning I received a number of customer reports that some scripts on their sites weren't working (500 error). I tracked it down to sites using specific Perl modules: LWP MIME::Base64 File::Path (there may be others) I created a small test app that includes "use LWP" at the...
  14. R

    Why my Perl are offline

    I wanted to on the perl to install Git. But it's show they are off. How do I back on? Setting up magicloader Configuring perl magic....Off Configuring php-pear magic....Off Configuring ruby magic....Off Configuring php-pecl magic....Off Thanks
  15. A

    how to downgrade perl 5.10,1 to 5.8.8

    Hello today when I setup my VPS I installed perl 5.10.1 but I need perl 5.8.8, how can we downgrade perl on VPS having CENTOS 6.5 x86_64 waiting for urgent reply.
  16. romanepo

    after perl removed not installed

    i use centos 6 ,64 bit.Suddenly i removed perl ,but now perl not installed. How can i installed perl.
  17. S

    Error 500 with CGI and Perl

    I'm moving a client over from his old host to our servers and I have moved over all the files (.cgi) but for each file I am now getting an error 500, when attempting to reach the page. I've checked the error log in cpanel for the client and see: [Mon Mar 31 18:15:05 2014] [error] [client...
  18. R

    Perl errors

    I have been receiving theses errors the past few days. As far I know the system has not been changed. Cron <[email protected]> /usr/local/cpanel/bin/backup Can't locate Cpanel/SafeRun/BG.pm in @INC (@INC contains: /usr/local/cpanel...
  19. A

    updating a perl module on cpanel's 3rd party perl install

    So apparently cpanel now has three copies of perl installed on a server. But the perl module update feature in the menu only updates the local copy of perl, not the 3rd party copy. So can someone give me the manual steps of how exactly to update a perl module for the 3rd party perl...
  20. Audiopro

    Installing Perl Modules

    I am encountering problems installing some Perl modules via cPanel. I have installed a number of modules but some try to install and just fail. This is a report of the latest failure from 'cpanm/build.log' cpanm (App::cpanminus) 1.6916 on perl 5.010001 built for i386-linux-thread-multi...